% Wyner's common information of a tuple of multivariate Gaussian random variables
% Example 3
%
%   Jan H. van Schuppen (Author)
%   Gouden Leeuw 143
%   1103 KB Amsterdam
%   Netherlands
%   jan.h.van.schuppen@xs4all.nl
%   2017:01:05  date file started
%   2017:01:12  date of this version of the file
%
%
function [p,p1,p2,p12min,Q] = ex3grv;
%
%
% 
% Step 1. Set several parameters of the example
%         The construction of the matrix $Q$ is by $Q1$
%         to guarantee that the matrix $Q$ is positive-definite
%         (also called positive semi-definite).
% 
%  p, p_1, p_2;
p1 = 5;
p2 = 4;
p = p1 + p2;
p12min=min(p1,p2);
%
%  in command below, p=9
%
Q1 = random('normal',0,1,[p,p]);
Q = Q1 * Q1';
%
% Step 2.  Test output of the example 
%
% p
% p1
% p2
% p12min
% Q
%
%  end of file of program ex3grv
%

