% Wyner's common information of a tuple of multivariate Gaussian random variables
% main program
%
%   Jan H. van Schuppen (Author)
%   Gouden Leeuw 143
%   1103 KB Amsterdam
%   Netherlands
%   jan.h.van.schuppen@xs4all.nl
%   2017:01:04  date file started
%   2017:01:19  date of this version of the file
%
% 
% Step 1. Read the parameters of the example
% 
[p,p1,p2,p12min,Q] = ex3grv;
%
% set thresholds
%
threshold1 = 0.9990;
threshold2 = 0.0001;
%
% Test output of the example 
%
p, p1, p2, p12min,
Q,
threshold1, threshold2,
%
% Step 2. Call the function for the computation of WCI
%
[p11,p12,p13,p21,p22,p23,S1,S2,QQ,QQr,wcibits,wcinats] = wcigrvfunc(p,p1,p2,p12min,Q,threshold1,threshold2);
%
%
%
% Step 3. Output the results of the computation. 
%
p, p1, p2, p12min, 
p11, p12, p13, p21, p22, p23,
QQ,
QQr,
S1, S2,
wcibits,
wcinats,
%
%  end of program
%
% Declarations
%
% QQ = zeros(p,p);
% S1 = zeros(p1,p1);
% S2 = zeros(p2,p2);
%
